Package org.flowable.bpmn.model

# Class GraphicInfo

java.lang.Object
org.flowable.bpmn.model.GraphicInfo

public class GraphicInfo extends Object

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected BaseElement`
  `element`
  `protected Boolean`
  `expanded`
  `protected double`
  `height`
  `protected double`
  `rotation`
  `protected double`
  `width`
  `protected double`
  `x`
  `protected int`
  `xmlColumnNumber`
  `protected int`
  `xmlRowNumber`
  `protected double`
  `y`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GraphicInfo()`
  `GraphicInfo(double x, double y)`
  `GraphicInfo(double x, double y, double height, double width)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(GraphicInfo ginfo)`
  `BaseElement`
  `getElement()`
  `Boolean`
  `getExpanded()`
  `double`
  `getHeight()`
  `double`
  `getRotation()`
  `double`
  `getWidth()`
  `double`
  `getX()`
  `int`
  `getXmlColumnNumber()`
  `int`
  `getXmlRowNumber()`
  `double`
  `getY()`
  `void`
  `setElement(BaseElement element)`
  `void`
  `setExpanded(Boolean expanded)`
  `void`
  `setHeight(double height)`
  `void`
  `setRotation(double rotation)`
  `void`
  `setWidth(double width)`
  `void`
  `setX(double x)`
  `void`
  `setXmlColumnNumber(int xmlColumnNumber)`
  `void`
  `setXmlRowNumber(int xmlRowNumber)`
  `void`
  `setY(double y)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### x

    protected double x

  - ### y

    protected double y

  - ### height

    protected double height

  - ### width

    protected double width

  - ### element

    protected BaseElement element

  - ### expanded

    protected Boolean expanded

  - ### xmlRowNumber

    protected int xmlRowNumber

  - ### xmlColumnNumber

    protected int xmlColumnNumber

  - ### rotation

    protected double rotation

- ## Constructor Details

  - ### GraphicInfo

    public GraphicInfo()

  - ### GraphicInfo

    public GraphicInfo(double x, double y, double height, double width)

  - ### GraphicInfo

    public GraphicInfo(double x, double y)

- ## Method Details

  - ### getX

    public double getX()

  - ### setX

    public void setX(double x)

  - ### getY

    public double getY()

  - ### setY

    public void setY(double y)

  - ### getHeight

    public double getHeight()

  - ### setHeight

    public void setHeight(double height)

  - ### getWidth

    public double getWidth()

  - ### setWidth

    public void setWidth(double width)

  - ### getExpanded

    public Boolean getExpanded()

  - ### setExpanded

    public void setExpanded(Boolean expanded)

  - ### getElement

    public BaseElement getElement()

  - ### setElement

    public void setElement(BaseElement element)

  - ### getXmlRowNumber

    public int getXmlRowNumber()

  - ### setXmlRowNumber

    public void setXmlRowNumber(int xmlRowNumber)

  - ### getXmlColumnNumber

    public int getXmlColumnNumber()

  - ### setXmlColumnNumber

    public void setXmlColumnNumber(int xmlColumnNumber)

  - ### getRotation

    public double getRotation()

  - ### setRotation

    public void setRotation(double rotation)

  - ### equals

    public boolean equals(GraphicInfo ginfo)